import type { PageServerLoad } from './$types';
import { Report, Settings } from '$lib/server/database';

export const load: PageServerLoad = async () => {
	return {
		created: Report.findAll({ where: {} }),

		enabled: (await Settings.findOne({ where: { key: 'register.enabled' } }))?.value ?? true,
		disabled_title:
			(await Settings.findOne({ where: { key: 'register.disabled_title' } }))?.value ??
			'Anmeldung geschlossen',
		disabled_details:
			(await Settings.findOne({ where: { key: 'register.disabled_details' } }))?.value ?? ''
	};
};
